#### D.13.6.14 tInitialIdeal

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  tInitialIdeal(i,w); i ideal, w intvec

Assume:
  i is an ideal in Q[t,x_1,...,x_n] and w=(w_0,...,w_n)

Return:
  ideal ini, the t-initial ideal of i with respect to w

Example:

    LIB "tropical.lib";
    ring r=0,(t,x,y),dp;
    ideal i=t2x-y+t3,t2x-y-2t3x;
    intvec w=-1,2,0;
    // the t-initial forms of the generators are
    tInitialForm(i[1],w),tInitialForm(i[2],w);
    // and they do not generate the t-initial ideal of i
    tInitialIdeal(i,w);

User manual for Singular version 4.4.1, 2025, generated by texi2html.